import { RPCClientError } from '@loafer/ng-rpc';

import { NoAuthProbe } from '@overflow/commons-typescript/model/noauth';
import { Selector, createSelector } from '@ngrx/store';
import { createEntityAdapter, EntityState } from '@loafer/ng-entity';

export const noAuthProbeConnectingAdapter = createEntityAdapter<NoAuthProbe, RPCClientError>();
export interface State extends EntityState<NoAuthProbe, RPCClientError> {
}
export const initialState: State = noAuthProbeConnectingAdapter.getInitialState({
});

export function getSelectors(selector: Selector<any, State>) {
  return {
    ...noAuthProbeConnectingAdapter.getSelectors(selector),
  };
}
